Skip to main content
`Ctrl`+`K`

# EdgeComponentAuxGraph.k_edge_components

EdgeComponentAuxGraph.k_edge_components(k)

  Queries the auxiliary graph for k-edge-connected components.

  Parameters:
    k Integer

      Desired edge connectivity

  Returns:
    k_edge_components a generator of k-edge-ccs

  Notes

  Given the auxiliary graph, the k-edge-connected components can be determined in linear time by removing all edges with weights less than k from the auxiliary graph. The resulting connected components are the k-edge-ccs in the original graph.